Home>

I'm making an app with Rails. I was able to deploy to heroku, but I'm having trouble with db: migrate.

MySQL is used for DB. Refer to the following page etc.heroku push masterI was able to do it.
Flow of deploying Rails application using mysql to Heroku

$heroku run rails db: migrate
Traceback (most recent call last):
    4: from/app/bin/rails: 3: in `<main>'
    3: from/app/bin/rails: 3: in `require_relative'
    2: from /app/config/boot.rb:3:in `<top (required)>'
    1: from /usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require'
/usr/lib/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require': cannot load such file --bundle/setup (LoadError)
What I tried

cannot load such file --bundle/setup (LoadError)I thought it was a bundler problem, so I tried updating it, but it didn't change.

Please point out any files that will help you solve the problem.

Supplementary information (FW/tool version, etc.)

Ruby 2.7.1p83 (2020-03-31 revision a0c7c23c9c) [x86_64-darwin19]
Rails 6.0.3.4
Bundler version 2.1.4

  • Answer # 1

    I tried various things and finally solved it, but probably the cause is that when I checked App Information on heroku, the Framework was Node.js instead of Ruby.

  • Answer # 2

    https://stackoverflow.com/questions/213402
    Is this article helpful?